Jump to content


Photo

Problem with latest update

update

  • Please log in to reply
21 replies to this topic

#1 dino

dino

    Member

  • Members
  • PipPip
  • 6 posts

Posted 14 July 2017 - 01:39 PM

Was notified update available. Followed procedure and update was in progress then got this:

 

=============

C:/Program Files (x86)\RootsMagic 7/RootsMagic.exe

 

An error occurred while trying to rename a file in the destination

directory:

MoveFile failed; code 183.

Cannot create a file when that file already exists.

 

Click Retry to try again. Ignore to skip this file (not

recommended), or Abort to cancel installation. 

========

 

I tried retry several times no luck. Tried ignore and it installed but apparently but apparently didn't take. 

As it is till running 7.5.0.6. When that loads it says an update is available. When I hit that link

it appears like it is installing but it doesn't and I don't get the above notice anymore. Looks like I'm

in a loop and hopefully my databases are OK.

 



#2 Renee Zamora

Renee Zamora

    Advanced Member

  • Support
  • PipPipPip
  • 8412 posts

Posted 14 July 2017 - 01:41 PM

Your database should be just fine. There is just a problem with the update file, its still downloading 7.5.0.6.  Development is working on the issue. 


Renee
RootsMagic

#3 uberdorf

uberdorf

    Member

  • Members
  • PipPip
  • 11 posts

Posted 14 July 2017 - 01:44 PM

I was logging in to the forum to report a similar problem.  No matter what I try, it won't update from 7.5.0.  I've tried updating through Rootsmagic, through downloading the update separately from the website and applying manually, through deleting Rootsmagic and reinstalling, no matter what I do it won't work for me.  I'm on WINE 2.0.1 on debian 9, but never had a problem before with WINE 2 and rootsmagic.  You are running Windows?



#4 uberdorf

uberdorf

    Member

  • Members
  • PipPip
  • 11 posts

Posted 14 July 2017 - 01:45 PM

Thank you Renee



#5 Jerry Bryan

Jerry Bryan

    Advanced Member

  • Members
  • PipPipPip
  • 3521 posts

Posted 14 July 2017 - 01:46 PM

My download symptoms are slightly different. For me, it downloads and installs successfully with no error messages and indeed it has been updated to 7.5.0.6. But then when I restart RM, it says that there is an update pending, when in fact there is not.

 

Having said all that, 7.5.0.6 seems to run just fine.

 

Jerry



#6 dino

dino

    Member

  • Members
  • PipPip
  • 6 posts

Posted 14 July 2017 - 01:46 PM

Windows 10. Never had this problem before and I've had RM for years. With Renee's words, I am holding tight.



#7 Renee Zamora

Renee Zamora

    Advanced Member

  • Support
  • PipPipPip
  • 8412 posts

Posted 14 July 2017 - 02:34 PM

Seems like we had the last internal test version 7.5.0.6 in the update and the update installer is looking for the release version 7.5.1.0. (They are identical but for version numbers.) Development is working on this, and the auto-update is down right now. But, if you actually were able to download 7.5.0.6 you have the new features. 


Renee
RootsMagic

#8 dino

dino

    Member

  • Members
  • PipPip
  • 6 posts

Posted 18 July 2017 - 05:55 PM

7.5.1.0 installed today. All is well !!!



#9 baljeu

baljeu

    Member

  • Members
  • PipPip
  • 5 posts

Posted 20 July 2017 - 10:30 AM

I got a "Range Check Error" when trying to add a parent from my RootsMagic (7.5.1.0) to FS. Often RM also crashes and I must restart it. How can this be overcome?



#10 robertjacobs0

robertjacobs0

    Advanced Member

  • Members
  • PipPipPip
  • 265 posts

Posted 20 July 2017 - 12:35 PM

Same problem here; I've been assuming (without any evidence) that the problem is with FS.



#11 Nevada Kid

Nevada Kid

    Advanced Member

  • Members
  • PipPipPip
  • 200 posts

Posted 20 July 2017 - 12:42 PM

"Ditto" on the The Range Check Error. Every time I want to add Parents, Children, Spouse from RM 7.5.1.0 to Family search, I receive this error, Locks me out and the process never gets completed. A error message shows and needs to know which process we were doing.

 

Kidd



#12 Renee Zamora

Renee Zamora

    Advanced Member

  • Support
  • PipPipPip
  • 8412 posts

Posted 21 July 2017 - 11:02 AM

This should be resolved in the next update. 


Renee
RootsMagic

#13 Nevada Kid

Nevada Kid

    Advanced Member

  • Members
  • PipPipPip
  • 200 posts

Posted 26 July 2017 - 12:25 PM

Still seeing Range error while trying to upgrade Family Tree from RM after upgrade to 7520. Saw it 1/2  doz. times so far.

 

Kidd



#14 Renee Zamora

Renee Zamora

    Advanced Member

  • Support
  • PipPipPip
  • 8412 posts

Posted 26 July 2017 - 12:59 PM

I've seen it to. Each time it is without a dialog box to fill in what you were doing at the time, and away to send it to development.  So this Range Check error is another one they need to track down. 


Renee
RootsMagic

#15 Kelky

Kelky

    New Member

  • Members
  • Pip
  • 1 posts

Posted 29 July 2017 - 10:31 AM

Hi I have experienced the same problem.

 

Tried to update, got the file 183 error and now can not access the program at all, it says it "can not access the file, you might not have the appropriate permissions". However I am the administrator and now can't open the program to download any updates. I downloaded the program originally rather than via CD so how do I reinstall without having to repurchase?

 

Any help gratefully received.

-----------------------------------------------------------

This worked - thank goodness

 

Download the installer from here; http://files.rootsma...om/RM7Setup.exe
In the download directory, right click on the .exe file and select "Run as administrator" and it should work. 



#16 Nevada Kid

Nevada Kid

    Advanced Member

  • Members
  • PipPipPip
  • 200 posts

Posted 03 August 2017 - 11:42 AM

Along with the Range Error, I now get a ZLib Error (-3)  in Roots Magic 7 when Adding info to a Fact Type List. This i saw now 4 times.

 

Kidd



#17 Renee Zamora

Renee Zamora

    Advanced Member

  • Support
  • PipPipPip
  • 8412 posts

Posted 03 August 2017 - 01:29 PM

I've never seen that "ZLib Error (-3)". I tried to recreate it making a new fact and it didn't happen.  Can you tell what operating system you are using and where your database file is on your computer?  Is it in cloud storage by any chance?  Have you run the File>Database Tools - all options in consecutive order? 


Renee
RootsMagic

#18 kbens0n

kbens0n

    Advanced Member

  • Members
  • PipPipPip
  • 3448 posts

Posted 03 August 2017 - 01:52 PM

I've never seen that "ZLib Error (-3)". I tried to recreate it making a new fact and it didn't happen.


That is an error that likely originates from Amazon Web Services (AWS), which FamilySearch uses for delivery of at least some of their services.

Can you tell what operating system you are using and where your database file is on your computer?  Is it in cloud storage by any chance?  Have you run the File>Database Tools - all options in consecutive order?


Nevada Kid stated a month ago in this post that they are running Windows 7 -> http://forums.rootsm...indpost&p=84070

---
--- "GENEALOGY, n. An account of one's descent from an ancestor who did not particularly care to trace his own." - Ambrose Bierce
--- "The trouble ain't what people don't know, it's what they know that ain't so." - Josh Billings
---Ô¿Ô---
K e V i N


#19 TomH

TomH

    Advanced Member

  • Members
  • PipPipPip
  • 6213 posts

Posted 03 August 2017 - 08:46 PM

zlib is a lossless data compression library. Free. So it could be used within RootsMagic although I've seen no evidence of that in the database file.


Tom user of RM7550 FTM2017 Ancestry.ca FamilySearch.org FindMyPast.com
SQLite_Tools_For_Roots_Magic_in_PR_Celti wiki, exploiting the database in special ways >>> RMtrix-tiny.png app, a bundle of RootsMagic utilities.


#20 Nevada Kid

Nevada Kid

    Advanced Member

  • Members
  • PipPipPip
  • 200 posts

Posted 05 August 2017 - 12:54 PM

I'll watch for it again.

 

Kidd